Bug 10344 - updxlrator breaks on url with special characters inside
Summary: updxlrator breaks on url with special characters inside
Status: ON_DEV
Alias: None
Product: IPFire
Classification: Unclassified
Component: --- (show other bugs)
Version: 2
Hardware: all Linux
: - Unknown - Balancing
Assignee: Assigned to nobody - feel free to grab it and work on it
QA Contact:
URL:
Keywords:
: 11588 (view as bug list)
Depends on:
Blocks:
 
Reported: 2013-03-29 19:43 UTC by Nico Prenzel
Modified: 2019-12-16 10:38 UTC (History)
8 users (show)

See Also:


Attachments
fix (5.15 KB, application/octet-stream)
2013-03-29 19:43 UTC, Nico Prenzel
Details
patch to fix bug 10504 (1.09 KB, patch)
2015-03-18 14:09 UTC, jluth
Details
log showing how the proposed patch affects updxlrator (1.08 KB, application/x-7z-compressed)
2015-03-18 14:11 UTC, jluth
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nico Prenzel 2013-03-29 19:43:09 UTC
Created attachment 129 [details]
fix

see forum:
http://forum.ipfire.org/index.php?topic=7954.0
Comment 1 Jörn-Ingo Weigert 2013-04-20 15:45:34 UTC
There seems to be additional positions still to fix to correct the problem.
This fix you mentioned didn't work here.


Please check your patch

Kind regards,

Ingo Weigert
Comment 2 Stefan Schantl 2014-05-10 17:53:46 UTC
*** Bug 10504 has been marked as a duplicate of this bug. ***
Comment 3 jluth 2015-03-18 14:09:23 UTC
Created attachment 275 [details]
patch to fix bug 10504
Comment 4 jluth 2015-03-18 14:11:41 UTC
Created attachment 276 [details]
log showing how the proposed patch affects updxlrator

After three attempts which redownloaded the entire file each time, I applied the proposed patch and then updxlrator recognized that the file was cached locally.

This patch specifically fixes the bug reported in 10504, which was marked as a duplicate.
Comment 5 Bernhard Bitsch 2015-04-07 12:04:23 UTC
The problem with spaces in file names will be solved with my rewrite.
Comment 6 zdroyer 2017-10-17 16:26:21 UTC
Another "special" character that break Update Accelerator is $, eg:
http://liveupdate.symantecliveupdate.com/ngc$20norton$20g2$20safe$20web$20statistics_1.0_symalllanguages_livetri.zip
Comment 7 Bernhard Bitsch 2018-01-27 18:10:44 UTC
*** Bug 11588 has been marked as a duplicate of this bug. ***
Comment 8 Bernhard Bitsch 2018-01-27 18:12:10 UTC
There is a thread in forum which faces the same problem.
I'll supply a resolution soon.
Comment 9 Michael Tremer 2018-01-29 12:16:44 UTC
You guys need to follow the list since this bug has already been fixed here:

https://git.ipfire.org/?p=ipfire-2.x.git;a=commitdiff;h=39c0b5b3bcd9d4cf57437d1988df834a1800c66c
Comment 10 Bernhard Bitsch 2018-01-29 13:16:50 UTC
Sorry, did not see that.
Nevertheless this patch perhaps fixes some problems only. Space is a special character also, which can produce issues when inside a file name.
Comment 11 jluth 2019-12-16 10:38:35 UTC
Outstanding is still the use of $ in a filename. + and ~ were fixed long ago and \ is currently under review in bug 12252